<script>
  import { Collapse } from 'view-design';
  import FunctionComponent from '../../../libs/utils/FunctionComponent'
  export default FunctionComponent(Collapse,'ht-base-collapse', 'i', {
    preDispose(ctx){
      if(ctx.props.isNoBorder || ctx.props.isNoBorder === ''){
        //this指向自定义属性对象，如果使用箭头函数请注意this指向的改变
        this.class.push('ht-base-collapse-no-border')
      }
    }
  })
</script>

